# Test Environment Notifications

A Test Environment Notification is an automated email dispatched to inform stakeholders when a Test Environment Job is completed or cancelled.


## Create a test environment notification

 - [POST /test-environments/{id}/notifications](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/createtestenvironmentnotification.md): Use this operation to create a new notification 
for a specific Test Environment. It handles HTTP 
POST requests to the /test-environments/{id}/notifications 
endpoint, accepting a TestEnvironmentNotificationRequest 
object in the request body. Upon successful creation, 
it returns a TestEnvironmentNotificationResponse object 
and sets the Location header to the URL of the created 
notification.

### User Access Permission

You must be assigned the Refresh Central Sandbox permission to run this operation.

## List all email notifications of a test environment

 - [GET /test-environments/{id}/notifications](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/getallemailnotificationoftestenv.md): Use this operation to retrieve all notifications associated 
with a specific Test Environment. It handles HTTP GET 
requests to the /test-environments/{id}/notifications 
endpoint and returns an ArrayResponse containing 
TestEnvironmentNotificationResponse objects. 

### User Access Permission

You must be assigned the Refresh Central Sandbox permission to run this operation.

## Retrieve a notification response of a test environment

 - [GET /test-environments/{id}/notifications/{notificationId}](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/gettestenvironmentnotification.md): Use this operation to retrieve a specific notification associated 
with a Test Environment by its unique notification ID. It handles 
HTTP GET requests to the /test-environments/{id}/notifications/{notificationId} 
endpoint and returns a TestEnvironmentNotificationResponse object 
if the notification is found. If the specified notification does 
not exist, it returns a 404 error.

### User Access Permission

You must be assigned the Refresh Central Sandbox permission to run this operation.

## Update a test environment notification

 - [PATCH /test-environments/{id}/notifications/{notificationId}](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/updatetestenvironmentnotification.md): Use this operation to update an existing notification 
for a specific Test Environment. It handles HTTP PATCH 
requests to the /test-environments/{id}/notifications/{notificationId} 
endpoint, accepting a TestEnvironmentNotificationRequest 
object in the request body. Upon successful update, it 
returns a TestEnvironmentNotificationResponse object.

### User Access Permission

You must be assigned the Refresh Central Sandbox permission to run this operation.

## Delete a notification of a test environment

 - [DELETE /test-environments/{id}/notifications/{notificationId}](https://developer.zuora.com/v1-api-reference/api/test-environment-notifications/deletetestenvironmentnotification.md): Use this operation to delete a specific notification associated 
with a Test Environment. It handles HTTP DELETE requests to the 
/test-environments/{id}/notifications/{notificationId} endpoint 
and returns a TestEnvironmentNotificationResponse object for the 
deleted notification. If the specified notification does not exist, 
it returns a 404 error.

### User Access Permission

You must be assigned the Refresh Central Sandbox permission to run this operation.

